Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class GetBoxInfoResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.ehbox.consultation.protocol.v3.GetBoxInfoResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class GetBoxInfoResponse

extends ResponseType
implements Serializable

Java class for GetBoxInfoResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetBoxInfoResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType"/>
             <element name="NbrMessagesInStandBy" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="CurrentSize" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="MaxSize" type="{http://www.w3.org/2001/XMLSchema}long"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetBoxInfoResponse()`

Method Summary
`BoxIdType` | `getBoxId()` Gets the value of the boxId property.
`Long` | `getCurrentSize()` Gets the value of the currentSize property.
`Long` | `getMaxSize()` Gets the value of the maxSize property.
`Integer` | `getNbrMessagesInStandBy()` Gets the value of the nbrMessagesInStandBy property.
`void` | `setBoxId(BoxIdType value)` Sets the value of the boxId property.
`void` | `setCurrentSize(Long value)` Sets the value of the currentSize property.
`void` | `setMaxSize(Long value)` Sets the value of the maxSize property.
`void` | `setNbrMessagesInStandBy(Integer value)` Sets the value of the nbrMessagesInStandBy property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBoxInfoResponse

    public GetBoxInfoResponse()

Method Detail

### getBoxId

    public BoxIdType getBoxId()

  Gets the value of the boxId property.

  Returns:
    possible object is `BoxIdType`

### setBoxId

    public void setBoxId(BoxIdType value)

  Sets the value of the boxId property.

  Parameters:
    `value` - allowed object is `BoxIdType`

### getNbrMessagesInStandBy

    public Integer getNbrMessagesInStandBy()

  Gets the value of the nbrMessagesInStandBy property.

  Returns:
    possible object is `Integer`

### setNbrMessagesInStandBy

    public void setNbrMessagesInStandBy(Integer value)

  Sets the value of the nbrMessagesInStandBy property.

  Parameters:
    `value` - allowed object is `Integer`

### getCurrentSize

    public Long getCurrentSize()

  Gets the value of the currentSize property.

  Returns:
    possible object is `Long`

### setCurrentSize

    public void setCurrentSize(Long value)

  Sets the value of the currentSize property.

  Parameters:
    `value` - allowed object is `Long`

### getMaxSize

    public Long getMaxSize()

  Gets the value of the maxSize property.

  Returns:
    possible object is `Long`

### setMaxSize

    public void setMaxSize(Long value)

  Sets the value of the maxSize property.

  Parameters:
    `value` - allowed object is `Long`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.